org.apache.ignite.internal.util

## Interface IgniteTree.InvokeClosure<T>

All Known Subinterfaces:
  IgniteCacheOffheapManager.OffheapInvokeClosure

Enclosing interface:
  IgniteTree<L,T>

    public static interface IgniteTree.InvokeClosure<T>

### Method Summary

Methods
`void` `call(T row)`
`T` `newRow()`
`IgniteTree.OperationType` `operationType()`

### Method Detail

#### call

    void call(@Nullable
            T row)
              throws IgniteCheckedException

Parameters:
  `row` - Old row or `null` if old row not found.
Throws:
  `IgniteCheckedException` - If failed.

#### newRow

    T newRow()

Returns:
  New row for `IgniteTree.OperationType.PUT` operation.

#### operationType

    IgniteTree.OperationType operationType()

Returns:
  Operation type for this closure or `null` if it is unknown. After method `call(Object)` has been called, operation type must be know and this method can not return `null`.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017